EXEC p_AlterColumn 'T_PERM_LOG', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG', 'FFORM_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FUNCPERM', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FUNCPERM', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FUNCPERM', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FIELDPERM', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FIELDPERM', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_FIELDPERM', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDR', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDR', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDR', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDRPROP', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDRPROP', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_NEWDRPROP', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_BCPERM', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_BCPERM', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_BCPERM', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DISPERM', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DISPERM', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DISPERM', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFUNC', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFUNC', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFUNC', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFIELD', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFIELD', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMFIELD', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDR', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDR', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDR', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDRP', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDRP', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMNEWDRP', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMDIS', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMDIS', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DIMDIS', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_APP', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_APP', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_OPRINFO', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_OPRINFO', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_OPRINFO', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_DIFF_DRINFO', 'FENTITY_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_ARCHIVE', 'FCLOUD_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_ARCHIVE', 'FAPP_NAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_LOG_ARCHIVE', 'FFORM_NAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';
